ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/Componentes/fw-articulo-detalles-clasificacion/fw-articulo-detalles-clasificacion.component.html

<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <div class="form-row border-bottom-secondary mb-2">
      <div class="form-group col-12">
        <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-boxes mr-2"></span><span>Clasificaciones</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Clase</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tClasificacion1Actual" (change)="Seleccionar_Clasificacion1()" size-select="sm">
            <option *ngFor="let tClasificacion1 of tClasificaciones1" [ngValue]="tClasificacion1"> [ {{tClasificacion1.Codclasificacion1}} ] {{tClasificacion1.Descripcion}}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalClasificacion1()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Grupo</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tClasificacion2Actual" (change)="Seleccionar_Clasificacion2()" size-select="sm">
            <option *ngFor="let tClasificacion2 of tClasificacion1Actual.LClasificacion2" [ngValue]="tClasificacion2"> [ {{tClasificacion2.Codclasificacion2}} ] {{ tClasificacion2.Descripcion }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalClasificacion2()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Categoria</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tClasificacion3Actual" (change)="Seleccionar_Clasificacion3()" size-select="sm">
            <option *ngFor="let tClasificacion3 of tClasificacion2Actual.LClasificacion3" [ngValue]="tClasificacion3"> [ {{tClasificacion3.Codclasificacion3}} ] {{tClasificacion3.Descripcion }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalClasificacion3()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Subcategoria</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tClasificacion4Actual" (change)="Seleccionar_Clasificacion4()" size-select="sm">
            <option *ngFor="let tClasificacion4 of tClasificacion3Actual.LClasificacion4" [ngValue]="tClasificacion4"> [ {{tClasificacion4.Codclasificacion4}} ] {{tClasificacion4.Descripcion }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalClasificacion4()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <div class="form-row border-bottom-secondary mb-2">
      <div class="form-group col-12">
        <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-industry mr-2"></span><span>Fabricante</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Fabricante</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-industry"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tFabricanteActual" (change)="Seleccionar_Fabricante()" size-select="sm">
            <option *ngFor="let tFabricante of tFabricantes" [ngValue]="tFabricante"> [ {{tFabricante.Codfabricante}} ] {{ tFabricante.Descripcion }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalFabricante()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Marca</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-certificate"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tMarcaActual" (change)="Seleccionar_Marca()" size-select="sm">
            <option *ngFor="let tMarca of tFabricanteActual.LMarcas" [ngValue]="tMarca"> [ {{tMarca.Codmarca}} ] {{ tMarca.Descripcion }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalMarca()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Modelo</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-tag"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tModeloActual" (change)="Seleccionar_Modelo()" size-select="sm">
            <option *ngFor="let tModelo of tMarcaActual.LModelos" [ngValue]="tModelo"> [ {{tModelo.Codmodelo}} ] {{ tModelo.Descripcion }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalModelo()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/Componentes/fw-articulo-detalles-clasificacion/fw-articulo-detalles-clasificacion.component.pug
div.form-row
  div.form-group.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-boxes.mr-2
          span Clasificaciones
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Clase
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-sitemap
          select([(ngModel)]="tClasificacion1Actual",
                (change)="Seleccionar_Clasificacion1()",
                size-select="sm").ControlInput--Select
            option(*ngFor="let tClasificacion1 of tClasificaciones1",
              [ngValue]="tClasificacion1")  [ {{tClasificacion1.Codclasificacion1}} ] {{tClasificacion1.Descripcion}}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalClasificacion1()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Grupo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-sitemap
          select([(ngModel)]="tClasificacion2Actual",
                  (change)="Seleccionar_Clasificacion2()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tClasificacion2 of tClasificacion1Actual.LClasificacion2",
                    [ngValue]="tClasificacion2")  [ {{tClasificacion2.Codclasificacion2}} ] {{ tClasificacion2.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalClasificacion2()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Categoria
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-sitemap
          select([(ngModel)]="tClasificacion3Actual",
                      (change)="Seleccionar_Clasificacion3()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tClasificacion3 of tClasificacion2Actual.LClasificacion3",
                    [ngValue]="tClasificacion3")  [ {{tClasificacion3.Codclasificacion3}} ] {{tClasificacion3.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalClasificacion3()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Subcategoria
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-sitemap
          select([(ngModel)]="tClasificacion4Actual",
                  (change)="Seleccionar_Clasificacion4()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tClasificacion4 of tClasificacion3Actual.LClasificacion4",
                    [ngValue]="tClasificacion4")  [ {{tClasificacion4.Codclasificacion4}} ] {{tClasificacion4.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalClasificacion4()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
  div.form-group.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-industry.mr-2
          span Fabricante
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Fabricante
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-industry
          select([(ngModel)]="tFabricanteActual",
                  (change)="Seleccionar_Fabricante()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tFabricante of tFabricantes",
                    [ngValue]="tFabricante")  [ {{tFabricante.Codfabricante}} ] {{ tFabricante.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalFabricante()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Marca
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-certificate
          select([(ngModel)]="tMarcaActual",
                  (change)="Seleccionar_Marca()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tMarca of tFabricanteActual.LMarcas",
                    [ngValue]="tMarca")  [ {{tMarca.Codmarca}} ] {{ tMarca.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalMarca()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Modelo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-tag
          select([(ngModel)]="tModeloActual",
                  (change)="Seleccionar_Modelo()",
                  size-select="sm").ControlInput--Select
            option(*ngFor="let tModelo of tMarcaActual.LModelos",
                    [ngValue]="tModelo")  [ {{tModelo.Codmodelo}} ] {{ tModelo.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalModelo()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
